If you have HardSPL it won't matter too much if it's not 3.34, I use 3.29 also and have had no issues in WM or Android.

It's having HardSPL that is important, not the version number.
XDA IIi ROM: 1.11.00 WWE Radio: 1.04.0 ExtROM 1.11.171 WWE

HTC Kaiser 1: ROM: Polymod 2.1D Final-Dark : Radio: 1.65.21.18

HTC G1 Dream: GammaFly V1.3 RC2, AmonRa, DangerSPL, Radio 2.22.27.08

HTC Desire ParanoidAndroid 3.99



Polymod 2.1D Final Version: Gone, but not forgotten

Android boot splashes and boot animations (for Kaiser )